This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1478062 - Review Request: nuvola-app-kexp - A KEXP live stream plugin for Nuvola Player
Review Request: nuvola-app-kexp - A KEXP live stream plugin for Nuvola Player
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-03 09:55 EDT by mgansser@alice.de
Modified: 2017-08-22 14:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-22 14:53:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vondruch: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description mgansser@alice.de 2017-08-03 09:55:09 EDT
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/nuvola-app-kexp.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/nuvola-app-kexp-1.2-1.fc26.src.rpm

Description: Integration of the KEXP radio live stream into your linux desktop via Nuvola Player.

Fedora Account System Username: martinkg

%changelog
* Fri Jul 28 2017 Martin Gansser <martinkg@fedoraproject.org> - 1.2-1
- initial build

rpmlint -i -v nuvola-app-kexp.spec /home/martin/rpmbuild/SRPMS/nuvola-app-kexp-1.2-1.fc26.src.rpm /home/martin/rpmbuild/RPMS/noarch/nuvola-app-kexp-1.2-1.fc26.noarch.rpm
nuvola-app-kexp.spec: I: checking
nuvola-app-kexp.spec:28: W: configure-without-libdir-spec
A configure script is run without specifying the libdir. configure options
must be augmented with something like --libdir=%{_libdir} whenever the script
supports it.

nuvola-app-kexp.spec: I: checking-url https://github.com/tiliado/nuvola-app-kexp/archive/1.2.tar.gz#/nuvola-app-kexp-1.2.tar.gz (timeout 10 seconds)
nuvola-app-kexp.src: I: checking
nuvola-app-kexp.src: W: spelling-error %description -l en_US linux -> Linux
The value of this tag appears to be misspelled. Please double-check.

nuvola-app-kexp.src: E: description-line-too-long C Integration of the KEXP radio live stream into your linux desktop via Nuvola Player.
Your description lines must not exceed 80 characters. If a line is exceeding
this number, cut it to fit in two lines.

nuvola-app-kexp.src: I: checking-url https://github.com/tiliado/nuvola-app-kexp (timeout 10 seconds)
nuvola-app-kexp.src:28: W: configure-without-libdir-spec
A configure script is run without specifying the libdir. configure options
must be augmented with something like --libdir=%{_libdir} whenever the script
supports it.

nuvola-app-kexp.src: I: checking-url https://github.com/tiliado/nuvola-app-kexp/archive/1.2.tar.gz#/nuvola-app-kexp-1.2.tar.gz (timeout 10 seconds)
nuvola-app-kexp.noarch: I: checking
nuvola-app-kexp.noarch: W: spelling-error %description -l en_US linux -> Linux
The value of this tag appears to be misspelled. Please double-check.

nuvola-app-kexp.noarch: E: description-line-too-long C Integration of the KEXP radio live stream into your linux desktop via Nuvola Player.
Your description lines must not exceed 80 characters. If a line is exceeding
this number, cut it to fit in two lines.

nuvola-app-kexp.noarch: I: checking-url https://github.com/tiliado/nuvola-app-kexp (timeout 10 seconds)
nuvola-app-kexp.noarch: W: desktopfile-without-binary /usr/share/applications/eu.tiliado.NuvolaAppKexp.desktop nuvola
the .desktop file is for a file not present in the package. You should check
the requires or see if this is not a error

2 packages and 1 specfiles checked; 2 errors, 5 warnings.
Comment 1 Vít Ondruch 2017-08-21 11:38:02 EDT
I'm taking this for a review.
Comment 2 Vít Ondruch 2017-08-21 12:05:32 EDT
* rpmlint output
  - "nuvola-app-kexp.noarch: E: description-line-too-long C Integration of the
     KEXP radio live stream into your linux desktop via Nuvola Player."
  - You should wrap the line to make the rpmlint happy.

Except the minor nit above, the package looks good => APPROVED. Please fix the issue prior importing into Fedora.
Comment 3 mgansser@alice.de 2017-08-21 15:20:24 EDT
(In reply to Vít Ondruch from comment #2)
> * rpmlint output
>   - "nuvola-app-kexp.noarch: E: description-line-too-long C Integration of
> the
>      KEXP radio live stream into your linux desktop via Nuvola Player."
>   - You should wrap the line to make the rpmlint happy.
> 
> Except the minor nit above, the package looks good => APPROVED. Please fix
> the issue prior importing into Fedora.

done.
Thanks for the review.
Comment 4 Gwyn Ciesla 2017-08-22 09:57:49 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nuvola-app-kexp
Comment 5 mgansser@alice.de 2017-08-22 14:53:51 EDT
package has been built successfully on f25, f26, f27 and rawhide.

Note You need to log in before you can comment on or make changes to this bug.